---
title: MSCandidateWindowShow
slug: Web/API/MSCandidateWindowShow
tags:
  - MSCandidateWindowShow
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>

<p><code><strong>MSCandidateWindowShow</strong></code> fires immediately after the Input Method Editor (IME) candidate window is set to appear, but before it renders.</p>

<p>This proprietary method is specific to Internet Explorer.</p>

<h2 id="General_info">General info</h2>

<dl>
 <dt style="float: left; text-align: right; width: 120px;">Synchronous</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Bubbles</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Cancelable</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
</dl>

<h3 id="Note">Note</h3>

<p>Windows 8.1 and Windows 7 IMEs for certain languages on Internet Explorer for the desktop might not support this event. On Internet Explorer in the new Windows UI, this event is supported in Windows 8.1 IMEs of all languages.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Event Property</th>
   <td>object.oncandidatewindowshow = handler;</td>
  </tr>
  <tr>
   <th scope="row">addEventListener Method</th>
   <td>object.addEventListener("MSCandidateWindowShow", handler, useCapture)</td>
  </tr>
 </tbody>
</table>


<h3 id="Parameters">Parameters</h3>

<p><strong>pEvtObj</strong> [in]</p>

<p>Type: <em>IHTMLEventObj</em></p>

<p>Pointer to an <code>IHTMLEventObj </code>interface for the current event.</p>

<p>This event fires after the positioning information of the IME candidate window has been determined. You can obtain the positioning information using the <a href="/en-US/docs/Web/API/getCandidateWindowClientRect">getCandidateWindowClientRect </a>method, and adjust your layout as needed to avoid any occlusions with the IME candidate window.</p>

<p>Web applications need only register for this event once per element (the handler will remain valid for the lifetime of the element).</p>

<h3 id="Example">Example</h3>

<p>in IE11, developers can detect the opening of the IME candidate window by listening to <code>MSCandidateWindowShow</code> event, then call <code>getCandidateWindowClientRect() </code>function to find out where the candidate window is and position the suggestion UI away from it:</p>

<pre class="brush: js">var context = document.getElementById("mySearchBox").msGetInputContext();
context.addEventListener("MSCandidateWindowShow", candidateWindowShowHandler);

function candidateWindowShowHandler(e) {
   var imeRect = context.getCandidateWindowClientRect();
   var suggestionRect = document.getElementById("mySuggestionList").getBoundingClientRect();
   // Check if the two rects intersect, and position them away from each other.
}
</pre>

<p>When the IME candidate window changes position or closes, it fires <code>MSCandidateWindowUpdate</code> or <code>MSCandidateWindowHide</code> events. Developers could listen to them and shift the suggestion UI accordingly.</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
  <li><a href="/en-US/docs/Mozilla/IME_handling_guide">IME handling guide for Gecko</a></li>
</ul>
